# CustomItemIdentifier

data class CustomItemIdentifier(customModelData: Int, placeHolderMaterial: Material)
Content copied to clipboard

This class defines a material in combination with a specific custom model data value.

It is useful if you work with custom items defined in resourcepacks, where you do not only need a material to define a specific item type, but the value of the custom model data aswell.

## Constructors

CustomItemIdentifier
Link copied to clipboard
fun CustomItemIdentifier(itemStack: ItemStack)
Content copied to clipboard
CustomItemIdentifier
Link copied to clipboard
fun CustomItemIdentifier(customModelData: Int, placeHolderMaterial: Material)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Int
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Material
Content copied to clipboard
copy
Link copied to clipboard
fun copy(customModelData: Int, placeHolderMaterial: Material): CustomItemIdentifier
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

customModelData
Link copied to clipboard
val customModelData: Int
Content copied to clipboard
itemStack
Link copied to clipboard
val itemStack: ItemStack?
Content copied to clipboard
placeHolderMaterial
Link copied to clipboard
val placeHolderMaterial: Material
Content copied to clipboard